postgres_ext: Adding Postgres data types to Rails

Submitted by Tobias L. Maier 2012-12-04 16:56:59 UTC
Source:  http://reefpoints.dockyard.com/ruby/2012/06/18/postgres_ext-adding-postgres-data-types-to-active-record.html

Referenced projects

Ruby on Rails

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

Rubygem rails

Total Downloads
47637961
Releases
244
Current Version
4.2.1
Released
2015-03-19 00:00:00 UTC
First Release
2004-10-25 04:00:00 UTC

Github rails/rails

Watchers
25858
Forks
10235
Development activity
Very active
Last commit
2015-04-27 08:19:59 UTC
Contributors
30
Issues

types

Introduces group of classes as eqivalent to some data types in other languages such as boolean and allows introspection according to type of class too. In fact, partially replaces multiple inheritance because introduces unlimited formal genericity for every class.

Rubygem types

Total Downloads
5360
Releases
4
Current Version
0.1.3
Released
2011-02-28 23:00:00 UTC
First Release
2011-01-11 23:00:00 UTC
Depends on following gems
Depending Gems
1

Github martinkozak/types

Watchers
1
Forks
0
Development activity
Inactive
Last commit
2011-03-01 15:35:41 UTC
First commit
Top contributors
Contributors
1
Issues

array

Event-hooked Array, Sorted Array, Unique Array, Sorted-Unique Array, Downward-Compositing Array, Downward-Compositing Sorted Array, Downward-Compositing Unique Array, Downward-Compositing Sorted-Unique Array.

Rubygem array

Total Downloads
1748
Releases
1
Current Version
1.0.0
Released
2012-07-06 00:00:00 UTC
First Release
2012-07-06 00:00:00 UTC

Github RidiculousPower/array-hooked

Watchers
2
Forks
0
Development activity
Inactive
Last commit
2013-10-20 06:16:52 UTC
First commit
Top contributors
Contributors
1
Issues

Rubygem support

Total Downloads
3625
Releases
2
Current Version
0.18
Released
2008-11-21 05:00:00 UTC
First Release
2006-07-01 04:00:00 UTC
Depends on following gems
Depending Gems
0

development

Intercept gem-require expression (require 'gem') and require version at alternative path (such as a development version).

Rubygem development

Total Downloads
18091
Releases
13
Current Version
1.1.3
Released
2012-07-15 00:00:00 UTC
First Release
2012-07-09 00:00:00 UTC
Depends on following gems
Depending Gems
0

Github RidiculousPower/development

Watchers
2
Forks
0
Development activity
Inactive
Last commit
2012-07-15 19:12:27 UTC
First commit
Top contributors
Contributors
1
Issues

data

Access to the rawdata API

Rubygem data

Total Downloads
2561
Releases
1
Current Version
0.0.1
Released
2012-05-12 00:00:00 UTC
First Release
2012-05-12 00:00:00 UTC
Depends on following gems
Depending Gems
0

gem

Just enough not-Rubygems to index a collection of gems for download... and maybe more.

Rubygem gem

Total Downloads
3181
Releases
1
Current Version
0.0.1.alpha
Released
2012-03-30 00:00:00 UTC
First Release
2012-03-30 00:00:00 UTC
Depends on following gems
Depending Gems
0

Github sj26/gem

Watchers
3
Forks
2
Development activity
Inactive
Last commit
2014-05-09 14:00:51 UTC
First commit
Top contributors
Contributors
2
Issues
×

In order to continue, you must be signed in using your Github account.

If you're signing in using this account for the first time Github will ask for your permission to give access to your public user data to the Ruby Toolbox.

Although the Github Authorization page does not mention it, the request includes read-only access to your verified email address (user:email OAuth scope). This is neccessary so there's a way to notify you about comments, information about your accepted project edits and the like. You can review your notification settings on your account page once you're signed in.